Subject: Re: [RFC] bridge and friends: reduce TheLinuxWay(tm)

From: Stephen Hemminger <[email-masked]>
Date: Wed, 16 Oct 2013 11:49:34 -0700

On Wed, 16 Oct 2013 11:35:50 -0700
Eric Dumazet <[email-masked]> wrote:

> On Wed, 2013-10-16 at 13:49 -0400, Jamal Hadi Salim wrote:
> 
> > I think we need some filtering in the kernel. As it stands today,
> > unfortunately you get everything ;-> I was suprised at the amount of
> > data i get from the kernel these days when i ask for a simple netdev
> > info (I think no less than 1K per netdev; everything from /proc entries
> > from some bread crumbs i dont see any use for.
> 
> By the way, "ip link show dev xxxx" seems to dump all devices info from
> the kernel...
> 
> 
As I remember.

The problem is that according to original netlink design there is supposed to
be a NLM_F_MATCH, but it seems it never got implemented right, and the legacy
of breaking applications keeps it from happening.